<div class="modal-export">
  <div class="top-modal">
    <span class="title-modal">export</span>
  </div>
  <!-- end/top-modal -->
  <div class="cover-title" *ngIf="data.type === 'export-all'">
    <span class="title-select">Select what to export</span>
    <div class="cover-select">
      <a href="javascript:;" class="click-select" (click)="selectAllExport()">Select All</a>
      <a href="javascript:;" class="click-select" (click)="unSelectAllExport()">Unselect All</a>
    </div>
    <!-- end/cover select -->
  </div>
  <!-- end/cover title -->
  <div *ngIf="data.type === 'export-all'" class="box-check" perfectScrollbar>
    <ul class="list-check">
      <li *ngFor="let item of data.summary">
        <mat-checkbox [(ngModel)]="item.isCheck">Well {{ item.wellName }} — Sample # {{ item.sampleID }}</mat-checkbox>
      </li>
    </ul>
  </div>
  <!-- end/box-check -->
  <div class="second-modal">
    <div class="cover-check sample" *ngIf="data.type === 'export'">
      <span class="title-check">Export Sample</span>
      <span class="text-sample">Well {{ data.item.wellName }} — Sample # {{ data.item.sampleID }} </span>
    </div>
    <div class="cover-check" *ngIf="data.type === 'input-output'">
      <span class="title-check">Select what to export</span>
      <div class="check-here">
        <mat-checkbox [(ngModel)]="isCheckInput">Input</mat-checkbox>
        <mat-checkbox [(ngModel)]="isCheckOutput">Output</mat-checkbox>
      </div>
      <!-- end/check here -->
    </div>
    <!-- end/cover check -->
    <div class="cover-input">
      <span class="title-input">File name for export</span>
      <div class="input-here">
        <mat-form-field appearance="outline">
          <input matInput placeholder="Type name to export file..." [(ngModel)]="nameFileExport" />
        </mat-form-field>
      </div>
      <!-- end/input here -->
    </div>
    <!-- end/cover input -->
  </div>
  <!-- end/second modal -->
  <div class="bottom-btn">
    <button mat-button class="btn-export cancel" (click)="close()">cancel</button>
    <button mat-button class="btn-export" (click)="export()">export</button>
  </div>
  <a href="javascript:;" class="click-close" (click)="close()">
    <img src="/assets/images/icon-close.svg" alt="icon" />
  </a>
  <!-- end/click close -->
</div>
<!-- end/modal export select -->
